Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision ba7b2df7f00c92106cf70a55be629c19d2e8f2bf)
+++ cpukit/Makefile.am	(revision ad85c00966451ee793ced8ee1141a55b3911394f)
@@ -1015,4 +1015,5 @@
 librtemscpu_a_SOURCES += score/src/isr.c
 librtemscpu_a_SOURCES += score/src/wkspace.c
+librtemscpu_a_SOURCES += score/src/wkspaceisunifieddefault.c
 librtemscpu_a_SOURCES += score/src/wkstringduplicate.c
 librtemscpu_a_SOURCES += score/src/ioprintf.c
Index: cpukit/include/rtems/confdefs.h
===================================================================
--- cpukit/include/rtems/confdefs.h	(revision ba7b2df7f00c92106cf70a55be629c19d2e8f2bf)
+++ cpukit/include/rtems/confdefs.h	(revision ad85c00966451ee793ced8ee1141a55b3911394f)
@@ -2638,9 +2638,4 @@
    */
   const rtems_configuration_table Configuration = {
-    #ifdef CONFIGURE_UNIFIED_WORK_AREAS       /* true for unified work areas */
-      true,
-    #else
-      false,
-    #endif
     #ifdef RTEMS_SMP
       #ifdef _CONFIGURE_SMP_APPLICATION
@@ -2656,4 +2651,8 @@
 
   const uintptr_t _Workspace_Size = CONFIGURE_EXECUTIVE_RAM_SIZE;
+
+  #ifdef CONFIGURE_UNIFIED_WORK_AREAS
+    const bool _Workspace_Is_unified = true;
+  #endif
 
   #ifdef CONFIGURE_DIRTY_MEMORY
Index: cpukit/include/rtems/config.h
===================================================================
--- cpukit/include/rtems/config.h	(revision ba7b2df7f00c92106cf70a55be629c19d2e8f2bf)
+++ cpukit/include/rtems/config.h	(revision ad85c00966451ee793ced8ee1141a55b3911394f)
@@ -84,12 +84,4 @@
  */
 typedef struct {
-  /**
-   * @brief Specifies if a unified work area is used or not.
-   *
-   * If this element is @a true, then the RTEMS Workspace and the C Program
-   * Heap use the same heap, otherwise they use separate heaps.
-   */
-  bool                           unified_work_area;
-
   #ifdef RTEMS_SMP
     bool                         smp_enabled;
@@ -112,5 +104,5 @@
 
 #define rtems_configuration_get_unified_work_area() \
-        (Configuration.unified_work_area)
+        (_Workspace_Is_unified)
 
 /**
Index: cpukit/include/rtems/score/wkspacedata.h
===================================================================
--- cpukit/include/rtems/score/wkspacedata.h	(revision ba7b2df7f00c92106cf70a55be629c19d2e8f2bf)
+++ cpukit/include/rtems/score/wkspacedata.h	(revision ad85c00966451ee793ced8ee1141a55b3911394f)
@@ -58,4 +58,12 @@
 extern const uintptr_t _Workspace_Size;
 
+/**
+ * @brief Indicates if the workspace and C program heap are unified.
+ *
+ * This constant is defined by the application configuration via
+ * <rtems/confdefs.h>.
+ */
+extern const bool _Workspace_Is_unified;
+
 /** @} */
 
Index: cpukit/score/src/wkspaceisunifieddefault.c
===================================================================
--- cpukit/score/src/wkspaceisunifieddefault.c	(revision ad85c00966451ee793ced8ee1141a55b3911394f)
+++ cpukit/score/src/wkspaceisunifieddefault.c	(revision ad85c00966451ee793ced8ee1141a55b3911394f)
@@ -0,0 +1,34 @@
+/*
+ * SPDX-License-Identifier: BSD-2-Clause
+ *
+ * Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#if HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <rtems/score/wkspacedata.h>
+
+const bool _Workspace_Is_unified = false;
